## org.eclipse.m2m.qvt.oml.debug.core.vm
Class Value

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.Value

All Implemented Interfaces:
  java.io.Serializable

    public class Value

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary
`static class` `Value.Type`

Field Summary
`static int` `COLLECTION_REF`
`boolean` `hasVariables`
`static int` `INVALID`
`int` `kind`
`static int` `OBJECT_REF`
`static int` `PRIMITIVE`
`java.lang.Object` `value`

Constructor Summary
`Value(int kind, java.lang.String value)`
`Value(int kind, java.lang.String value, boolean hasVariables)`

Method Summary
`static Value` `invalid()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRIMITIVE

    public static final int PRIMITIVE

See Also:
  Constant Field Values

### OBJECT_REF

    public static final int OBJECT_REF

See Also:
  Constant Field Values

### COLLECTION_REF

    public static final int COLLECTION_REF

See Also:
  Constant Field Values

### INVALID

    public static final int INVALID

See Also:
  Constant Field Values

### kind

    public final int kind

### value

    public final java.lang.Object value

### hasVariables

    public final boolean hasVariables

Constructor Detail

### Value

    public Value(int kind,
                 java.lang.String value)

### Value

    public Value(int kind,
                 java.lang.String value,
                 boolean hasVariables)

Method Detail

### invalid

    public static Value invalid()

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.